# Get a supplier

GET https://api.oletapp.com/your-store/v1/suppliers/{id}

The full supplier record, including billing/shipping contacts and `default_markup`. A foreign, unknown or soft-deleted id is 404.

**Requires scope:** `catalog:read`

Required scope: `catalog:read`

## Parameters

| Name | In | Type | Required |
|---|---|---|---|
| `id` | path | string | yes |

## Response (200)

```
{
  data: {
  billing_address_1: string | null
  billing_address_2: string | null
  billing_city: string | null
  billing_country: string | null
  billing_email: string | null
  billing_fax: string | null
  billing_first_name: string | null
  billing_last_name: string | null
  billing_phone: string | null
  billing_state: string | null
  billing_zipcode: string | null
  created_at: string
  default_markup: integer | null
  description: string | null
  id: string
  name: string
  shipping_address_1: string | null
  shipping_address_2: string | null
  shipping_city: string | null
  shipping_country: string | null
  shipping_email: string | null
  shipping_fax: string | null
  shipping_first_name: string | null
  shipping_last_name: string | null
  shipping_phone: string | null
  shipping_state: string | null
  shipping_zipcode: string | null
  updated_at: string
  version: string
}
}
```

Errors follow the standard error envelope: https://getolet.com/resources/developers/errors.md

## Example

```bash
curl -X GET "https://api.oletapp.com/your-store/v1/suppliers/{id}" \
  -H "Authorization: Bearer olet_live_YOUR_API_KEY"
```
